summaryrefslogtreecommitdiff
path: root/source4/script/tests/test_echo.sh
diff options
context:
space:
mode:
authorAndrew Tridgell <tridge@samba.org>2005-06-12 01:36:56 +0000
committerGerald (Jerry) Carter <jerry@samba.org>2007-10-10 13:18:00 -0500
commit3a3947cd861ffaa08fb68ced510af1f55230defd (patch)
tree9f9be95fc12560855bcd4949c8b44f59e94e4954 /source4/script/tests/test_echo.sh
parent82da98a1da265438778d38dbafe4aaebbc27dd0d (diff)
downloadsamba-3a3947cd861ffaa08fb68ced510af1f55230defd.tar.gz
samba-3a3947cd861ffaa08fb68ced510af1f55230defd.tar.bz2
samba-3a3947cd861ffaa08fb68ced510af1f55230defd.zip
r7495: used --maximum-runtime=300 for each smbtorture call, to prevent it
running too long (This used to be commit 3d70755abfb7764379d648e9bc1697ae9289d02b)
Diffstat (limited to 'source4/script/tests/test_echo.sh')
-rwxr-xr-xsource4/script/tests/test_echo.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/source4/script/tests/test_echo.sh b/source4/script/tests/test_echo.sh
index 4ded5961e4..5b033b1a76 100755
--- a/source4/script/tests/test_echo.sh
+++ b/source4/script/tests/test_echo.sh
@@ -34,13 +34,13 @@ for transport in $transports; do
"--option=ntlmssp_client:ntlm2=no --option=ntlmssp_client:keyexchange=no --option=torture:echo_TestSleep=no" \
; do
name="$transport with $bindoptions and $ntlmoptions"
- testit "$name" bin/smbtorture $transport:"$server[$bindoptions]" $ntlmoptions -U"$username"%"$password" -W $domain RPC-ECHO "$*" || failed=`expr $failed + 1`
+ testit "$name" bin/smbtorture $TORTURE_OPTIONS $transport:"$server[$bindoptions]" $ntlmoptions -U"$username"%"$password" -W $domain RPC-ECHO "$*" || failed=`expr $failed + 1`
done
done
done
# separately test the print option - its v slow
name="print option"
-testit "$name" bin/smbtorture ncacn_np:"$server[print]" -U"$username"%"$password" -W $domain RPC-ECHO "$*" || failed=`expr $failed + 1`
+testit "$name" bin/smbtorture $TORTURE_OPTIONS ncacn_np:"$server[print]" -U"$username"%"$password" -W $domain RPC-ECHO "$*" || failed=`expr $failed + 1`
testok $0 $failed